Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPrinter.PrintRange

    java.lang.Object
      java.lang.Enum<QPrinter.PrintRange>
          com.trolltech.qt.gui.QPrinter.PrintRange

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPrinter.PrintRange>

Enclosing class:
  QPrinter

    public static enum QPrinter.PrintRange

extends java.lang.Enum<QPrinter.PrintRange>
implements QtEnumerator

Used to specify the print range selection option.

See Also:
  `QAbstractPrintDialog::PrintRange`

Enum Constant Summary
`AllPages` All pages should be printed.
`PageRange` The specified page range should be printed.
`Selection` Only the selection should be printed.

Method Summary
`static QPrinter.PrintRange` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.PrintRange` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPrinter.PrintRange[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AllPages

    public static final QPrinter.PrintRange AllPages

  All pages should be printed.

### Selection

    public static final QPrinter.PrintRange Selection

  Only the selection should be printed.

### PageRange

    public static final QPrinter.PrintRange PageRange

  The specified page range should be printed.

Method Detail

### values

    public static final QPrinter.PrintRange[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPrinter.PrintRange c : QPrinter.PrintRange.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPrinter.PrintRange valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.PrintRange resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD